#include <iostream>
#include <gtkmm.h>
#include <libglademm.h>
#include "simpledraw.h"

int main(int argc, char **argv)
{
  Gtk::Main Kit(argc, argv);

  Glib::RefPtr<Gnome::Glade::Xml> gxml = Gnome::Glade::Xml::create("simpledraw.glade");
  
  Gtk::Window *w;
  SimpleDraw *sd;

  gxml->get_widget("window1", w);
  gxml->get_widget("simpledraw1", sd);

  if (!w || !sd) {
    std::cerr << "Widget creation failed" << std::endl;
    return -1;
  }

  Kit.run(*w);

  return 0;
}
