#include "simpledraw.h"
#include <iostream>

SimpleDraw::SimpleDraw() : Glib::ObjectBase("simpledraw") {
  std::cout << "Creating a new SimpleDraw." << std::endl;
}

SimpleDraw::SimpleDraw(GtkDrawingArea* gobject)
: Gtk::DrawingArea(gobject)
{
}

SimpleDraw::~SimpleDraw() {
  std::cout << "Deleting a SimpleDraw." << std::endl;
}

bool SimpleDraw::on_expose_event(GdkEventExpose* event)
{
  Glib::RefPtr<Gdk::Drawable> drwbl = get_window();
  Glib::RefPtr<Gdk::GC> gc = Gdk::GC::create(drwbl);

  gc->set_rgb_fg_color(Gdk::Color("red"));
  drwbl->draw_rectangle(gc, true, 10, 10, 100, 100);

  gc->set_rgb_fg_color(Gdk::Color("blue"));
  drwbl->draw_rectangle(gc, true, 50, 20, 100, 100);
  
  return true;
}
